PDA

View Full Version : [ubuntu] VMware Player not compling kernel on Ubuntu 10.10



Barillo
October 11th, 2010, 03:03 PM
Hi all,
I've just upgraded to Ubuntu 10.010 - Maverick Meerkat.

Launching VMWare Player 3.1.2 I get the message: "Before you can run VMWare, several modules must be compiled and loaded into running kernel".
I click ok, but there are problems recompiling VMCI sockets.
The effect is that my windows image starts, but then crashes.

Do you have some suggestions to solve the problem ? Or is it only a problem of compilation with the new 10.10 kernel, not yet available for VMWare ??
thanks

lechien73
October 11th, 2010, 03:12 PM
I had the same problem directly following the upgrade. The answer can be found here:

http://blog.mattrudge.net/2010/10/11/vmware-player-on-ubuntu-10-10-maverick-meerkat/

Barillo
October 11th, 2010, 03:39 PM
thanks lechien73!

I followed your suggestions, and all the modules were recompiled.
Unfortunately the windows image is continuing to crash, into win32k.sys.
no ways to run my xp image....this was not happening before the migration, at 10.09 level.....
do you have some ideas ???

lechien73
October 11th, 2010, 04:02 PM
Are you starting up a saved snapshot? Or is this a fresh restart of the image?

I'm not sure why it would crash. I've tested all my images with the recompiled version and they're working fine. :confused:

imperialline
October 11th, 2010, 08:29 PM
Works great! You are a genius! Thanks.

Barillo
October 12th, 2010, 08:44 AM
yes, the crash is happening with a saved screenshot of the windows image.
I'm trying to start a new one to see if the problem is related to that saved specifical image.

thanks

PatrickD-52761
October 23rd, 2010, 04:49 AM
Well this didn't work for me. I'm getting an error on Line 189, and it's still failing to compile the VMCI. However (at least before running the patches), I was able to open and use my VM's without any problems--other than the annoyance of having to try and fail compiling every time.

Hopefully VMWare will fix this issue pretty soon. Although I'm going to guess nope, since it's their *free* version. Any suggestions on fixing this are appreciated.

I should note that I'm on a 32-bit version of Ubuntu 10.10 2.6.35-22-generic kernel.

Have a great day:)
Patrick.

Objectivity
December 22nd, 2010, 06:16 PM
Hi all,
I've just upgraded to Ubuntu 10.010 - Maverick Meerkat.

Launching VMWare Player 3.1.2 I get the message: "Before you can run VMWare, several modules must be compiled and loaded into running kernel".
I click ok, but there are problems recompiling VMCI sockets.
The effect is that my windows image starts, but then crashes.

Do you have some suggestions to solve the problem ? Or is it only a problem of compilation with the new 10.10 kernel, not yet available for VMWare ??
thanks


This thread also was about this ... SOLVED for me .
http://ubuntuforums.org/showthread.php?t=1650297